From 25c9c6e9c99cc547d25ab93a073206b3e7a40e87 Mon Sep 17 00:00:00 2001
From: Isaac Burns <isaacburns@gmail.com>
Date: Fri, 23 Dec 2016 11:33:00 -0600
Subject: [PATCH] always normalize bone weights

---
 demo/render-webgl.js | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

diff --git a/demo/render-webgl.js b/demo/render-webgl.js
index 6336fc6..de09656 100644
--- a/demo/render-webgl.js
+++ b/demo/render-webgl.js
@@ -284,7 +284,7 @@ RenderWebGL.prototype.loadData = function(spine_data, atlas_data, images) {
             }
 
             // sort the blender array descending by weight
-            blender_array = blender_array.sort(function(a, b) {
+            blender_array.sort(function(a, b) {
               return b.weight - a.weight;
             });
 
@@ -292,15 +292,16 @@ RenderWebGL.prototype.loadData = function(spine_data, atlas_data, images) {
             if (blender_array.length > render.gl_skin_shader_blenders_count) {
               console.log("blend array length for", attachment_key, "is", blender_array.length, "so clamp to", render.gl_skin_shader_blenders_count);
               blender_array.length = render.gl_skin_shader_blenders_count;
-              var weight_sum = 0;
-              blender_array.forEach(function(blend) {
-                weight_sum += blend.weight;
-              });
-              blender_array.forEach(function(blend) {
-                blend.weight /= weight_sum;
-              });
             }
 
+            var weight_sum = 0;
+            blender_array.forEach(function(blend) {
+              weight_sum += blend.weight;
+            });
+            blender_array.forEach(function(blend) {
+              blend.weight /= weight_sum;
+            });
+
             var position_x = 0;
             var position_y = 0;
             var blend_position = new spine.Vector();
